
import { StandaloneServices } from '@codingame/monaco-vscode-api/vscode/vs/editor/standalone/browser/standaloneServices';
import { SyncDescriptor } from '@codingame/monaco-vscode-api/vscode/vs/platform/instantiation/common/descriptors';
import { ISnippetsService } from '@codingame/monaco-vscode-api/vscode/vs/workbench/contrib/snippets/browser/snippets.service';
import { SnippetsService } from '@codingame/monaco-vscode-api/vscode/vs/workbench/contrib/snippets/browser/snippetsService';
import { LifecyclePhase } from '@codingame/monaco-vscode-api/vscode/vs/workbench/services/lifecycle/common/lifecycle';
import { ILifecycleService } from '@codingame/monaco-vscode-api/vscode/vs/workbench/services/lifecycle/common/lifecycle.service';
import getServiceOverride$1 from '@codingame/monaco-vscode-files-service-override';
import { registerServiceInitializeParticipant } from '@codingame/monaco-vscode-api/lifecycle';
import './vscode/src/vs/workbench/contrib/snippets/browser/snippets.contribution.js';

registerServiceInitializeParticipant(async (accessor) => {
    void accessor
        .get(ILifecycleService)
        .when(LifecyclePhase.Ready)
        .then(() => {
        StandaloneServices.get(ISnippetsService);
    });
});
function getServiceOverride() {
    return {
        ...getServiceOverride$1(),
        [ISnippetsService.toString()]: new SyncDescriptor(SnippetsService, [], true)
    };
}

export { getServiceOverride as default };
